Bug 241775 - Crash when editing tags from left hand column filter by tag
Summary: Crash when editing tags from left hand column filter by tag
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Engine (show other bugs)
Version: 1.2.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-14 22:37 UTC by Malcolm Boura
Modified: 2017-08-10 19:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Malcolm Boura 2010-06-14 22:37:02 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
I had some duplicate tags (similar names) so:
1. Select on the unwanted duplicate tag
2. Add the correct tag
3. Remove the unwanted tag
4. Apply
5. Configured for write back to meta data so wait for that to finish
6. Delete the unwanted tag from the left hand, filter by tag window. It crashes. If deleting using the tag seeting display on the right then there is no crash.

I have a lot more similar duplicate tags to sort out so I will attempt to characterise this more exactly. I have seen this crash before and I think that it is reproducible.

The crash can be reproduced some of the time.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb788b760 (LWP 3149))]

Thread 16 (Thread 0xb62adb70 (LWP 3150)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x017ec287 in QWaitConditionPrivate::wait (this=0x8a3a678, mutex=0x8a3a674, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8a3a678, mutex=0x8a3a674, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x08321fb4 in Digikam::ScanController::run (this=0x8a430d8) at /build/buildd/digikam-1.2.0/digikam/scancontroller.cpp:516
#5  0x017eb32e in QThreadPrivate::start (arg=0x8a430d8) at thread/qthread_unix.cpp:248
#6  0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb58ffb70 (LWP 3152)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x01ac2b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x07c1c4eb in g_poll () from /lib/libglib-2.0.so.0
#3  0x07c0f0ac in ?? () from /lib/libglib-2.0.so.0
#4  0x07c0f4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0191960f in QEventDispatcherGlib::processEvents (this=0x8c01d08, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0x018ec059 in QEventLoop::processEvents (this=0xb58ff280, flags=) at kernel/qeventloop.cpp:149
#7  0x018ec4aa in QEventLoop::exec (this=0xb58ff280, flags=...) at kernel/qeventloop.cpp:201
#8  0x017e85a8 in QThread::exec (this=0x8c01728) at thread/qthread.cpp:487
#9  0x00be0ced in Digikam::ImageFilterModelWorker::Thread::run (this=0x8c01728) at /build/buildd/digikam-1.2.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#10 0x017eb32e in QThreadPrivate::start (arg=0x8c01728) at thread/qthread_unix.cpp:248
#11 0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb5072b70 (LWP 3153)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x01ac2b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x07c1c4eb in g_poll () from /lib/libglib-2.0.so.0
#3  0x07c0f0ac in ?? () from /lib/libglib-2.0.so.0
#4  0x07c0f4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0191960f in QEventDispatcherGlib::processEvents (this=0x8c019d0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0x018ec059 in QEventLoop::processEvents (this=0xb5072280, flags=) at kernel/qeventloop.cpp:149
#7  0x018ec4aa in QEventLoop::exec (this=0xb5072280, flags=...) at kernel/qeventloop.cpp:201
#8  0x017e85a8 in QThread::exec (this=0x8c01a50) at thread/qthread.cpp:487
#9  0x00be0ced in Digikam::ImageFilterModelWorker::Thread::run (this=0x8c01a50) at /build/buildd/digikam-1.2.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#10 0x017eb32e in QThreadPrivate::start (arg=0x8c01a50) at thread/qthread_unix.cpp:248
#11 0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb47f1b70 (LWP 3154)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x017ec287 in QWaitConditionPrivate::wait (this=0x8c52608, mutex=0x8c52604, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8c52608, mutex=0x8c52604, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x04a1c10a in Digikam::LoadSaveThread::run (this=0x8c525f8) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x017eb32e in QThreadPrivate::start (arg=0x8c525f8) at thread/qthread_unix.cpp:248
#6  0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb3ff0b70 (LWP 3155)):
#0  0x01e44e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x019166fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x0191b825 in QTimerInfoList::updateCurrentTime (this=0x8c67634) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0191b86a in QTimerInfoList::timerWait (this=0x8c67634, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x01919818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb3ff00dc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x019198a5 in timerSourcePrepare (source=0x0, timeout=0x1e48ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x07c0eaca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x07c0eee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x07c0f4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0191960f in QEventDispatcherGlib::processEvents (this=0x8c62520, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x018ec059 in QEventLoop::processEvents (this=0xb3ff02a0, flags=) at kernel/qeventloop.cpp:149
#11 0x018ec4aa in QEventLoop::exec (this=0xb3ff02a0, flags=...) at kernel/qeventloop.cpp:201
#12 0x017e85a8 in QThread::exec (this=0x8c60430) at thread/qthread.cpp:487
#13 0x017eb32e in QThreadPrivate::start (arg=0x8c60430) at thread/qthread_unix.cpp:248
#14 0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb37efb70 (LWP 3156)):
#0  0x0028ff5b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x07c0e51a in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x07c0f0ce in ?? () from /lib/libglib-2.0.so.0
#3  0x07c0f4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0191960f in QEventDispatcherGlib::processEvents (this=0x8c63b78, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0x018ec059 in QEventLoop::processEvents (this=0xb37ef2a0, flags=) at kernel/qeventloop.cpp:149
#6  0x018ec4aa in QEventLoop::exec (this=0xb37ef2a0, flags=...) at kernel/qeventloop.cpp:201
#7  0x017e85a8 in QThread::exec (this=0x8c61898) at thread/qthread.cpp:487
#8  0x017eb32e in QThreadPrivate::start (arg=0x8c61898) at thread/qthread_unix.cpp:248
#9  0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xb1b52b70 (LWP 3157)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05b57ce7 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0xb0f46b70 (LWP 3158)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x01ac9971 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x05b815cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 8 (Thread 0xb0745b70 (LWP 3159)):
#0  0x01e44e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x019166fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x0191b825 in QTimerInfoList::updateCurrentTime (this=0x91516b4) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0191b86a in QTimerInfoList::timerWait (this=0x91516b4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x01919818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb074506c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x07c0eaca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x07c0eee9 in ?? () from /lib/libglib-2.0.so.0
#7  0x07c0f4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x0191960f in QEventDispatcherGlib::processEvents (this=0x91501d0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#9  0x018ec059 in QEventLoop::processEvents (this=0xb0745230, flags=) at kernel/qeventloop.cpp:149
#10 0x018ec4aa in QEventLoop::exec (this=0xb0745230, flags=...) at kernel/qeventloop.cpp:201
#11 0x017e85a8 in QThread::exec (this=0x914fde0) at thread/qthread.cpp:487
#12 0x04ffa96a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x017eb32e in QThreadPrivate::start (arg=0x914fde0) at thread/qthread_unix.cpp:248
#14 0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xabf40b70 (LWP 3165)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x01ac2b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x05ca9a8f in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 6 (Thread 0xab73fb70 (LWP 3166)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x05b689ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 5 (Thread 0xaaf3eb70 (LWP 3167)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x017ec287 in QWaitConditionPrivate::wait (this=0x93e44c8, mutex=0x93e44c4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x93e44c8, mutex=0x93e44c4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x04a1c10a in Digikam::LoadSaveThread::run (this=0x93e44b8) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x017eb32e in QThreadPrivate::start (arg=0x93e44b8) at thread/qthread_unix.cpp:248
#6  0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xaff44b70 (LWP 3174)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x017ec287 in QWaitConditionPrivate::wait (this=0x961f4f8, mutex=0x961f4f4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x961f4f8, mutex=0x961f4f4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x04a1c10a in Digikam::LoadSaveThread::run (this=0x961f4e8) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x017eb32e in QThreadPrivate::start (arg=0x961f4e8) at thread/qthread_unix.cpp:248
#6  0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xad73fb70 (LWP 3175)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x00292015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x017ec287 in QWaitConditionPrivate::wait (this=0x96a0790, mutex=0x96a078c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x96a0790, mutex=0x96a078c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x04a1c10a in Digikam::LoadSaveThread::run (this=0x96a0780) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x017eb32e in QThreadPrivate::start (arg=0x96a0780) at thread/qthread_unix.cpp:248
#6  0x0028d96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x01ad0a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xaf743b70 (LWP 3228)):
#0  0x00118422 in __kernel_vsyscall ()
#1  0x01addd33 in ?? () from /lib/tls/i686/cmov/libc.so.6
#2  0x01a74697 in ?? () from /lib/tls/i686/cmov/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 1 (Thread 0xb788b760 (LWP 3149)):
[KCrash Handler]
#6  0x01a6e8bb in ?? () from /lib/tls/i686/cmov/libc.so.6
#7  0x01a70afd in ?? () from /lib/tls/i686/cmov/libc.so.6
#8  0x01a72f9c in malloc () from /lib/tls/i686/cmov/libc.so.6
#9  0x071e2c07 in operator new(unsigned int) () from /usr/lib/libstdc++.so.6
#10 0x071bcd06 in std::string::_Rep::_S_create(unsigned int, unsigned int, std::allocator<char> const&) () from /usr/lib/libstdc++.so.6
#11 0x071bd978 in std::string::_Rep::_M_clone(std::allocator<char> const&, unsigned int) () from /usr/lib/libstdc++.so.6
#12 0x071be7ad in std::string::reserve(unsigned int) () from /usr/lib/libstdc++.so.6
#13 0x071b793d in std::basic_stringbuf<char, std::char_traits<char>, std::allocator<char> >::overflow(int) () from /usr/lib/libstdc++.so.6
#14 0x071bc19d in std::basic_streambuf<char, std::char_traits<char> >::xsputn(char const*, int) () from /usr/lib/libstdc++.so.6
#15 0x071b1c32 in std::basic_ostream<char, std::char_traits<char> >& std::__ostream_insert<char, std::char_traits<char> >(std::basic_ostream<char, std::char_traits<char> >&, char const*, int) ()
   from /usr/lib/libstdc++.so.6
#16 0x01c3efbe in Exiv2::StringValueBase::write(std::ostream&) const () from /usr/lib/libexiv2.so.6
#17 0x01c40929 in Exiv2::Value::toString() const () from /usr/lib/libexiv2.so.6
#18 0x01bc7f50 in Exiv2::Iptcdatum::toString() const () from /usr/lib/libexiv2.so.6
#19 0x00203626 in KExiv2Iface::KExiv2::getIptcKeywords() const () from /usr/lib/libkexiv2.so.8
#20 0x083139b2 in Digikam::MetadataHub::write (this=0xbfac7808, metadata=..., writeMode=Digikam::MetadataHub::FullWrite, settings=...) at /build/buildd/digikam-1.2.0/digikam/metadatahub.cpp:635
#21 0x083141ac in Digikam::MetadataHub::write (this=0xbfac7808, filePath=..., writeMode=Digikam::MetadataHub::FullWrite, settings=...) at /build/buildd/digikam-1.2.0/digikam/metadatahub.cpp:656
#22 0x080cb2b1 in Digikam::ImageDescEditTab::slotApplyAllChanges (this=0x9438ea8) at /build/buildd/digikam-1.2.0/libs/imageproperties/imagedescedittab.cpp:537
#23 0x080cc4ec in Digikam::ImageDescEditTab::qt_metacall (this=0x9438ea8, _c=QMetaObject::InvokeMetaMethod, _id=32, _a=0xbfac7958)
    at /build/buildd/digikam-1.2.0/obj-i486-linux-gnu/digikam/imagedescedittab.moc:129
#24 0x018f2c9a in QMetaObject::metacall (object=0x9438ea8, cl=1073741824, idx=32, argv=0xbfac7958) at kernel/qmetaobject.cpp:237
#25 0x019013d5 in QMetaObject::activate (sender=0x9526188, m=0x5ac98c4, local_signal_index=2, argv=0xbfac7958) at kernel/qobject.cpp:3293
#26 0x058b9479 in QAbstractButton::clicked (this=0x9526188, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#27 0x05598ea9 in QAbstractButtonPrivate::emitClicked (this=0x9526490) at widgets/qabstractbutton.cpp:546
#28 0x05599cf4 in QAbstractButtonPrivate::click (this=0x9526490) at widgets/qabstractbutton.cpp:539
#29 0x05599fae in QAbstractButton::mouseReleaseEvent (this=0x9526188, e=0xbfac8090) at widgets/qabstractbutton.cpp:1121
#30 0x051ec7f8 in QWidget::event (this=0x9526188, event=0xbfac8090) at kernel/qwidget.cpp:7998
#31 0x05598d4e in QAbstractButton::event (this=0x9526188, e=0x30095dc0) at widgets/qabstractbutton.cpp:1080
#32 0x056431f2 in QPushButton::event (this=0x9526188, e=0xbfac8090) at widgets/qpushbutton.cpp:679
#33 0x0518e4dc in QApplicationPrivate::notify_helper (this=0x88e2438, receiver=0x9526188, e=0xbfac8090) at kernel/qapplication.cpp:4300
#34 0x051959f7 in QApplication::notify (this=0xbfac8958, receiver=0x9526188, e=0xbfac8090) at kernel/qapplication.cpp:3865
#35 0x03095f2a in KApplication::notify (this=0xbfac8958, receiver=0x9526188, event=0xbfac8090) at ../../kdeui/kernel/kapplication.cpp:302
#36 0x018eda3b in QCoreApplication::notifyInternal (this=0xbfac8958, receiver=0x9526188, event=0xbfac8090) at kernel/qcoreapplication.cpp:704
#37 0x05194952 in QCoreApplication::sendEvent (receiver=0x9526188, event=0xbfac8090, alienWidget=0x9526188, nativeWidget=0x9438ea8, buttonDown=0x5ad2058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#38 QApplicationPrivate::sendMouseEvent (receiver=0x9526188, event=0xbfac8090, alienWidget=0x9526188, nativeWidget=0x9438ea8, buttonDown=0x5ad2058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#39 0x05220088 in QETWidget::translateMouseEvent (this=0x9438ea8, event=0xbfac85ac) at kernel/qapplication_x11.cpp:4368
#40 0x0521f511 in QApplication::x11ProcessEvent (this=0xbfac8958, event=0xbfac85ac) at kernel/qapplication_x11.cpp:3379
#41 0x0524e60a in x11EventSourceDispatch (s=0x88e56a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#42 0x07c0b5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x07c0f2d8 in ?? () from /lib/libglib-2.0.so.0
#44 0x07c0f4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#45 0x019195d5 in QEventDispatcherGlib::processEvents (this=0x88b7c08, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#46 0x0524e135 in QGuiEventDispatcherGlib::processEvents (this=0x88b7c08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x018ec059 in QEventLoop::processEvents (this=0xbfac88a4, flags=) at kernel/qeventloop.cpp:149
#48 0x018ec4aa in QEventLoop::exec (this=0xbfac88a4, flags=...) at kernel/qeventloop.cpp:201
#49 0x018f069f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#50 0x0518e577 in QApplication::exec () at kernel/qapplication.cpp:3579
#51 0x083c2c35 in main (argc=5, argv=0xbfac8da4) at /build/buildd/digikam-1.2.0/digikam/main.cpp:193

Possible duplicates by query: bug 227091, bug 226157, bug 223219, bug 214340.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-06-15 00:17:58 UTC
Another Exiv2 library crash. Which version you use ? Go to Help/Components Info for details...

Gilles Caulier
Comment 2 caulier.gilles 2010-10-06 09:32:54 UTC
Can you give us more info about Exiv2 library ? Look my comment #1

Also, can you test using a recent digiKam version as 1.4.0 ?

Gilles Caulier
Comment 3 caulier.gilles 2010-11-24 09:09:36 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 4 caulier.gilles 2011-07-06 10:51:21 UTC
We need feedback here...

Gilles Caulier
Comment 5 caulier.gilles 2015-07-03 05:58:12 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 6 caulier.gilles 2016-07-03 07:03:52 UTC
With digiKam 5.0.0, this problem is not reproducible.

I close this file now. Re-open it if necessary.

Gilles Caulier